Subject: bug#44034: 28.0.50; X-widget: assertion '!widget->priv->alloc_needed' failed

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 07 May 2022 14:49:54 +0200

Maximiliano Sandoval <[email-masked]> writes:

> When opening a file using xwidget I get an error
>
> ```
> (emacs:150587): Gtk-CRITICAL **: 12:12:04.741: gtk_widget_draw: assertion '!widget->priv->alloc_needed' failed
>
> (emacs:150587): Gtk-CRITICAL **: 12:12:21.983: gtk_widget_draw: assertion '!widget->priv->alloc_needed' failed
>
> (emacs:151415): GLib-GObject-WARNING **: 12:18:44.591: instance with invalid (NULL) class pointer
>
> (emacs:151415): GLib-GObject-CRITICAL **: 12:18:44.591: g_signal_handlers_disconnect_matched: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
> ```

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

If I remember correctly, there were a number of problems fixed in
xwidget (and Emacs' xwidget support) over the last year.  Do you still
see these warnings in Emacs 29/recent OS versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no